Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 856185 - cross-org. guest registration requires flexguest entitlement, even though it is not consumed
cross-org. guest registration requires flexguest entitlement, even though it ...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2012-09-11 08:14 EDT by Matej Kollar
Modified: 2015-05-29 16:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 16:10:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Kollar 2012-09-11 08:14:50 EDT
Description of problem:

  Registering virtual guest to OrgB that running on OrgA requires OrgB to
  have appropriate Flex/Regular entitlement even when host have Virtualization
  Platform entitlement and guest does not consume any.

Version-Release number of selected component (if applicable):


How reproducible: always/deterministic


Steps to Reproduce:

  0.5 Prepare Sat55
  1.  Register host (virtualization capable), add Virtualization platform
  2.  Create OrgB
  3.  Create virtual guest, try to register to OrgB
  
Actual results:

  Registration fails with message about not having enough subscription
  permissions... rhnreg_ks goes like:

  > Error Class Code: 71
  > Error Class Info: 
  >      You do not have subscription permission to the designated channel.
  >      Please refer to your organization's channel or organization
  >      administrators for further details.
  > Explanation: 
  >      An error has occurred while processing your request. If this problem
  >      persists please enter a bug report at bugzilla.redhat.com.
  >      If you choose to submit the bug report, please be sure to include
  >      details of what you were trying to do when this error occurred and
  >      details on how to reproduce this problem.

  Adding either Regular or Flex Software Channel Entitlement for
  "Red Hat Enterprise Linux Server (v. 6)" (in my case, as I was
  using RHEL 6 for experimenting) made it work, (no entitlement
  was shown as consumed though).

Expected results:

  If the guest is for free, why having free entitlement is required?
  I expect registration to work even without having >0 entitlements.

Additional info:

  Might be connected with Bug 634263.

Note You need to log in before you can comment on or make changes to this bug.